org.jboss.logging

## Class DelegatingBasicLogger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger

- All Implemented Interfaces:
    Serializable, BasicLogger

      public class DelegatingBasicLogger
      extends Object
      implements BasicLogger, Serializable

  A serializable, delegating basic logger instance.
  Author:
    David M. Lloyd
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log` The delegate logger.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingBasicLogger(Logger log)` Construct a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Object message)` Issue a log message with a level of DEBUG.
    `void` | `debug(Object message, Throwable t)` Issue a log message and throwable with a level of DEBUG.
    `void` | `debug(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of DEBUG.
    `void` | `debug(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of DEBUG and a specific logger class name.
    `void` | `debugf(String format, int arg)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, int arg1, int arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, int arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, long arg)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, long arg1, long arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, long arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, Object... params)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, Object param1)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, Object param1, Object param2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, int arg)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, int arg1, int arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, int arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, long arg)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, long arg1, long arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, long arg1, Object arg2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of DEBUG.
    `void` | `debugv(String format, Object... params)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `debugv(String format, Object param1)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `debugv(String format, Object param1, Object param2)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `debugv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `debugv(Throwable t, String format, Object... params)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `debugv(Throwable t, String format, Object param1)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `debugv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `debugv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
    `void` | `error(Object message)` Issue a log message with a level of ERROR.
    `void` | `error(Object message, Throwable t)` Issue a log message and throwable with a level of ERROR.
    `void` | `error(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of ERROR.
    `void` | `error(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of ERROR and a specific logger class name.
    `void` | `errorf(String format, Object... params)` Issue a formatted log message with a level of ERROR.
    `void` | `errorf(String format, Object param1)` Issue a formatted log message with a level of ERROR.
    `void` | `errorf(String format, Object param1, Object param2)` Issue a formatted log message with a level of ERROR.
    `void` | `errorf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of ERROR.
    `void` | `errorf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of ERROR.
    `void` | `errorf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of ERROR.
    `void` | `errorf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of ERROR.
    `void` | `errorf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of ERROR.
    `void` | `errorv(String format, Object... params)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `errorv(String format, Object param1)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `errorv(String format, Object param1, Object param2)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `errorv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `errorv(Throwable t, String format, Object... params)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `errorv(Throwable t, String format, Object param1)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `errorv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `errorv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
    `void` | `fatal(Object message)` Issue a log message with a level of FATAL.
    `void` | `fatal(Object message, Throwable t)` Issue a log message and throwable with a level of FATAL.
    `void` | `fatal(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of FATAL.
    `void` | `fatal(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of FATAL and a specific logger class name.
    `void` | `fatalf(String format, Object... params)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalf(String format, Object param1)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalf(String format, Object param1, Object param2)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of FATAL.
    `void` | `fatalv(String format, Object... params)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `fatalv(String format, Object param1)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `fatalv(String format, Object param1, Object param2)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `fatalv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `fatalv(Throwable t, String format, Object... params)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `fatalv(Throwable t, String format, Object param1)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `fatalv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `fatalv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
    `void` | `info(Object message)` Issue a log message with a level of INFO.
    `void` | `info(Object message, Throwable t)` Issue a log message and throwable with a level of INFO.
    `void` | `info(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of INFO.
    `void` | `info(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of INFO and a specific logger class name.
    `void` | `infof(String format, Object... params)` Issue a formatted log message with a level of INFO.
    `void` | `infof(String format, Object param1)` Issue a formatted log message with a level of INFO.
    `void` | `infof(String format, Object param1, Object param2)` Issue a formatted log message with a level of INFO.
    `void` | `infof(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of INFO.
    `void` | `infof(Throwable t, String format, Object... params)` Issue a formatted log message with a level of INFO.
    `void` | `infof(Throwable t, String format, Object param1)` Issue a formatted log message with a level of INFO.
    `void` | `infof(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of INFO.
    `void` | `infof(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of INFO.
    `void` | `infov(String format, Object... params)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `void` | `infov(String format, Object param1)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `void` | `infov(String format, Object param1, Object param2)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `void` | `infov(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `void` | `infov(Throwable t, String format, Object... params)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `void` | `infov(Throwable t, String format, Object param1)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `void` | `infov(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `void` | `infov(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of INFO using `MessageFormat`-style formatting.
    `boolean` | `isDebugEnabled()` Check to see if the `DEBUG` level is enabled for this logger.
    `boolean` | `isEnabled(Logger.Level level)` Check to see if the given level is enabled for this logger.
    `boolean` | `isInfoEnabled()` Check to see if the `INFO` level is enabled for this logger.
    `boolean` | `isTraceEnabled()` Check to see if the `TRACE` level is enabled for this logger.
    `void` | `log(Logger.Level level, Object message)` Log a message at the given level.
    `void` | `log(Logger.Level level, Object message, Throwable t)` Issue a log message and throwable at the given log level.
    `void` | `log(Logger.Level level, String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable at the given log level and a specific logger class name.
    `void` | `log(String loggerFqcn, Logger.Level level, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable at the given log level.
    `void` | `logf(Logger.Level level, String format, Object... params)` Issue a formatted log message at the given log level.
    `void` | `logf(Logger.Level level, String format, Object param1)` Issue a formatted log message at the given log level.
    `void` | `logf(Logger.Level level, String format, Object param1, Object param2)` Issue a formatted log message at the given log level.
    `void` | `logf(Logger.Level level, String format, Object param1, Object param2, Object param3)` Issue a formatted log message at the given log level.
    `void` | `logf(Logger.Level level, Throwable t, String format, Object... params)` Issue a formatted log message at the given log level.
    `void` | `logf(Logger.Level level, Throwable t, String format, Object param1)` Issue a formatted log message at the given log level.
    `void` | `logf(Logger.Level level, Throwable t, String format, Object param1, Object param2)` Issue a formatted log message at the given log level.
    `void` | `logf(Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message at the given log level.
    `void` | `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object... params)` Log a message at the given level.
    `void` | `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1)` Log a message at the given level.
    `void` | `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2)` Log a message at the given level.
    `void` | `logf(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Log a message at the given level.
    `void` | `logv(Logger.Level level, String format, Object... params)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(Logger.Level level, String format, Object param1)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(Logger.Level level, String format, Object param1, Object param2)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(Logger.Level level, String format, Object param1, Object param2, Object param3)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(Logger.Level level, Throwable t, String format, Object... params)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(Logger.Level level, Throwable t, String format, Object param1)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(Logger.Level level, Throwable t, String format, Object param1, Object param2)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object... params)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `logv(String loggerFqcn, Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message at the given log level using `MessageFormat`-style formatting.
    `void` | `trace(Object message)` Issue a log message with a level of TRACE.
    `void` | `trace(Object message, Throwable t)` Issue a log message and throwable with a level of TRACE.
    `void` | `trace(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of TRACE.
    `void` | `trace(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of TRACE and a specific logger class name.
    `void` | `tracef(String format, int arg)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, int arg1, int arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, int arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, long arg)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, long arg1, long arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, long arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, Object... params)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, Object param1)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, Object param1, Object param2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, int arg)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, int arg1, int arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, int arg1, int arg2, int arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, int arg1, int arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, int arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, int arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, long arg)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, long arg1, long arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, long arg1, long arg2, long arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, long arg1, long arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, long arg1, Object arg2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, long arg1, Object arg2, Object arg3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, Object... params)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, Object param1)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of TRACE.
    `void` | `tracef(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of TRACE.
    `void` | `tracev(String format, Object... params)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `tracev(String format, Object param1)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `tracev(String format, Object param1, Object param2)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `tracev(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `tracev(Throwable t, String format, Object... params)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `tracev(Throwable t, String format, Object param1)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `tracev(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `tracev(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
    `void` | `warn(Object message)` Issue a log message with a level of WARN.
    `void` | `warn(Object message, Throwable t)` Issue a log message and throwable with a level of WARN.
    `void` | `warn(String loggerFqcn, Object message, Object[] params, Throwable t)` Issue a log message with parameters and a throwable with a level of WARN.
    `void` | `warn(String loggerFqcn, Object message, Throwable t)` Issue a log message and throwable with a level of WARN and a specific logger class name.
    `void` | `warnf(String format, Object... params)` Issue a formatted log message with a level of WARN.
    `void` | `warnf(String format, Object param1)` Issue a formatted log message with a level of WARN.
    `void` | `warnf(String format, Object param1, Object param2)` Issue a formatted log message with a level of WARN.
    `void` | `warnf(String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of WARN.
    `void` | `warnf(Throwable t, String format, Object... params)` Issue a formatted log message with a level of WARN.
    `void` | `warnf(Throwable t, String format, Object param1)` Issue a formatted log message with a level of WARN.
    `void` | `warnf(Throwable t, String format, Object param1, Object param2)` Issue a formatted log message with a level of WARN.
    `void` | `warnf(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a formatted log message with a level of WARN.
    `void` | `warnv(String format, Object... params)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
    `void` | `warnv(String format, Object param1)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
    `void` | `warnv(String format, Object param1, Object param2)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
    `void` | `warnv(String format, Object param1, Object param2, Object param3)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
    `void` | `warnv(Throwable t, String format, Object... params)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
    `void` | `warnv(Throwable t, String format, Object param1)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
    `void` | `warnv(Throwable t, String format, Object param1, Object param2)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.
    `void` | `warnv(Throwable t, String format, Object param1, Object param2, Object param3)` Issue a log message with a level of WARN using `MessageFormat`-style formatting.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

      The delegate logger.

  - ### Constructor Detail

    - #### DelegatingBasicLogger

          public DelegatingBasicLogger(Logger log)

      Construct a new instance.
      Parameters:
        `log` - the logger to which calls should be delegated

  - ### Method Detail

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Description copied from interface: `BasicLogger`
      Check to see if the `TRACE` level is enabled for this logger.
      Specified by:
        `isTraceEnabled` in interface `BasicLogger`
      Returns:
        `true` if messages logged at `Logger.Level.TRACE` may be accepted, `false` otherwise

    - #### trace

          public void trace(Object message)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE.
      Specified by:
        `trace` in interface `BasicLogger`
      Parameters:
        `message` - the message

    - #### trace

          public void trace(Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of TRACE.
      Specified by:
        `trace` in interface `BasicLogger`
      Parameters:
        `message` - the message
        `t` - the throwable

    - #### trace

          public void trace(String loggerFqcn,
                   Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of TRACE and a specific logger class name.
      Specified by:
        `trace` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `t` - the throwable

    - #### trace

          public void trace(String loggerFqcn,
                   Object message,
                   Object[] params,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message with parameters and a throwable with a level of TRACE.
      Specified by:
        `trace` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `params` - the message parameters
        `t` - the throwable

    - #### tracev

          public void tracev(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `params` - the parameters

    - #### tracev

          public void tracev(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the sole parameter

    - #### tracev

          public void tracev(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### tracev

          public void tracev(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### tracev

          public void tracev(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### tracev

          public void tracev(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### tracev

          public void tracev(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### tracev

          public void tracev(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of TRACE using `MessageFormat`-style formatting.
      Specified by:
        `tracev` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### tracef

          public void tracef(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the parameters

    - #### tracef

          public void tracef(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### tracef

          public void tracef(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### tracef

          public void tracef(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `params` - the parameters

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the sole parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### tracef

          public void tracef(String format,
                    int arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### tracef

          public void tracef(String format,
                    int arg1,
                    int arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(String format,
                    int arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(String format,
                    int arg1,
                    int arg2,
                    int arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(String format,
                    int arg1,
                    int arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(String format,
                    int arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    int arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    int arg1,
                    int arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    int arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    int arg1,
                    int arg2,
                    int arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    int arg1,
                    int arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    int arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(String format,
                    long arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### tracef

          public void tracef(String format,
                    long arg1,
                    long arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(String format,
                    long arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(String format,
                    long arg1,
                    long arg2,
                    long arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(String format,
                    long arg1,
                    long arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(String format,
                    long arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    long arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    long arg1,
                    long arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    long arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    long arg1,
                    long arg2,
                    long arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    long arg1,
                    long arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### tracef

          public void tracef(Throwable t,
                    String format,
                    long arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of TRACE.
      Specified by:
        `tracef` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Description copied from interface: `BasicLogger`
      Check to see if the `DEBUG` level is enabled for this logger.
      Specified by:
        `isDebugEnabled` in interface `BasicLogger`
      Returns:
        `true` if messages logged at `Logger.Level.DEBUG` may be accepted, `false` otherwise

    - #### debug

          public void debug(Object message)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG.
      Specified by:
        `debug` in interface `BasicLogger`
      Parameters:
        `message` - the message

    - #### debug

          public void debug(Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of DEBUG.
      Specified by:
        `debug` in interface `BasicLogger`
      Parameters:
        `message` - the message
        `t` - the throwable

    - #### debug

          public void debug(String loggerFqcn,
                   Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of DEBUG and a specific logger class name.
      Specified by:
        `debug` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `t` - the throwable

    - #### debug

          public void debug(String loggerFqcn,
                   Object message,
                   Object[] params,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message with parameters and a throwable with a level of DEBUG.
      Specified by:
        `debug` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `params` - the message parameters
        `t` - the throwable

    - #### debugv

          public void debugv(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `params` - the parameters

    - #### debugv

          public void debugv(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the sole parameter

    - #### debugv

          public void debugv(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### debugv

          public void debugv(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### debugv

          public void debugv(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### debugv

          public void debugv(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### debugv

          public void debugv(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### debugv

          public void debugv(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of DEBUG using `MessageFormat`-style formatting.
      Specified by:
        `debugv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### debugf

          public void debugf(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the parameters

    - #### debugf

          public void debugf(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### debugf

          public void debugf(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### debugf

          public void debugf(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `params` - the parameters

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the sole parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### debugf

          public void debugf(String format,
                    int arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### debugf

          public void debugf(String format,
                    int arg1,
                    int arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(String format,
                    int arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(String format,
                    int arg1,
                    int arg2,
                    int arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(String format,
                    int arg1,
                    int arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(String format,
                    int arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    int arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    int arg1,
                    int arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    int arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    int arg1,
                    int arg2,
                    int arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    int arg1,
                    int arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    int arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(String format,
                    long arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### debugf

          public void debugf(String format,
                    long arg1,
                    long arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(String format,
                    long arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(String format,
                    long arg1,
                    long arg2,
                    long arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(String format,
                    long arg1,
                    long arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(String format,
                    long arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    long arg)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg` - the parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    long arg1,
                    long arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    long arg1,
                    Object arg2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    long arg1,
                    long arg2,
                    long arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    long arg1,
                    long arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### debugf

          public void debugf(Throwable t,
                    String format,
                    long arg1,
                    Object arg2,
                    Object arg3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of DEBUG.
      Specified by:
        `debugf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `arg1` - the first parameter
        `arg2` - the second parameter
        `arg3` - the third parameter

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Description copied from interface: `BasicLogger`
      Check to see if the `INFO` level is enabled for this logger.
      Specified by:
        `isInfoEnabled` in interface `BasicLogger`
      Returns:
        `true` if messages logged at `Logger.Level.INFO` may be accepted, `false` otherwise

    - #### info

          public void info(Object message)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO.
      Specified by:
        `info` in interface `BasicLogger`
      Parameters:
        `message` - the message

    - #### info

          public void info(Object message,
                  Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of INFO.
      Specified by:
        `info` in interface `BasicLogger`
      Parameters:
        `message` - the message
        `t` - the throwable

    - #### info

          public void info(String loggerFqcn,
                  Object message,
                  Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of INFO and a specific logger class name.
      Specified by:
        `info` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `t` - the throwable

    - #### info

          public void info(String loggerFqcn,
                  Object message,
                  Object[] params,
                  Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message with parameters and a throwable with a level of INFO.
      Specified by:
        `info` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `params` - the message parameters
        `t` - the throwable

    - #### infov

          public void infov(String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `params` - the parameters

    - #### infov

          public void infov(String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the sole parameter

    - #### infov

          public void infov(String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### infov

          public void infov(String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### infov

          public void infov(Throwable t,
                   String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### infov

          public void infov(Throwable t,
                   String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### infov

          public void infov(Throwable t,
                   String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### infov

          public void infov(Throwable t,
                   String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of INFO using `MessageFormat`-style formatting.
      Specified by:
        `infov` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### infof

          public void infof(String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the parameters

    - #### infof

          public void infof(String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### infof

          public void infof(String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### infof

          public void infof(String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### infof

          public void infof(Throwable t,
                   String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `params` - the parameters

    - #### infof

          public void infof(Throwable t,
                   String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the sole parameter

    - #### infof

          public void infof(Throwable t,
                   String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter

    - #### infof

          public void infof(Throwable t,
                   String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of INFO.
      Specified by:
        `infof` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### warn

          public void warn(Object message)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN.
      Specified by:
        `warn` in interface `BasicLogger`
      Parameters:
        `message` - the message

    - #### warn

          public void warn(Object message,
                  Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of WARN.
      Specified by:
        `warn` in interface `BasicLogger`
      Parameters:
        `message` - the message
        `t` - the throwable

    - #### warn

          public void warn(String loggerFqcn,
                  Object message,
                  Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of WARN and a specific logger class name.
      Specified by:
        `warn` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `t` - the throwable

    - #### warn

          public void warn(String loggerFqcn,
                  Object message,
                  Object[] params,
                  Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message with parameters and a throwable with a level of WARN.
      Specified by:
        `warn` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `params` - the message parameters
        `t` - the throwable

    - #### warnv

          public void warnv(String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `params` - the parameters

    - #### warnv

          public void warnv(String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the sole parameter

    - #### warnv

          public void warnv(String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### warnv

          public void warnv(String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### warnv

          public void warnv(Throwable t,
                   String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### warnv

          public void warnv(Throwable t,
                   String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### warnv

          public void warnv(Throwable t,
                   String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### warnv

          public void warnv(Throwable t,
                   String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of WARN using `MessageFormat`-style formatting.
      Specified by:
        `warnv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### warnf

          public void warnf(String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the parameters

    - #### warnf

          public void warnf(String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### warnf

          public void warnf(String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### warnf

          public void warnf(String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### warnf

          public void warnf(Throwable t,
                   String format,
                   Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `params` - the parameters

    - #### warnf

          public void warnf(Throwable t,
                   String format,
                   Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the sole parameter

    - #### warnf

          public void warnf(Throwable t,
                   String format,
                   Object param1,
                   Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter

    - #### warnf

          public void warnf(Throwable t,
                   String format,
                   Object param1,
                   Object param2,
                   Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of WARN.
      Specified by:
        `warnf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### error

          public void error(Object message)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR.
      Specified by:
        `error` in interface `BasicLogger`
      Parameters:
        `message` - the message

    - #### error

          public void error(Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of ERROR.
      Specified by:
        `error` in interface `BasicLogger`
      Parameters:
        `message` - the message
        `t` - the throwable

    - #### error

          public void error(String loggerFqcn,
                   Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of ERROR and a specific logger class name.
      Specified by:
        `error` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `t` - the throwable

    - #### error

          public void error(String loggerFqcn,
                   Object message,
                   Object[] params,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message with parameters and a throwable with a level of ERROR.
      Specified by:
        `error` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `params` - the message parameters
        `t` - the throwable

    - #### errorv

          public void errorv(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `params` - the parameters

    - #### errorv

          public void errorv(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the sole parameter

    - #### errorv

          public void errorv(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### errorv

          public void errorv(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### errorv

          public void errorv(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### errorv

          public void errorv(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### errorv

          public void errorv(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### errorv

          public void errorv(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of ERROR using `MessageFormat`-style formatting.
      Specified by:
        `errorv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### errorf

          public void errorf(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the parameters

    - #### errorf

          public void errorf(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### errorf

          public void errorf(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### errorf

          public void errorf(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### errorf

          public void errorf(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `params` - the parameters

    - #### errorf

          public void errorf(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the sole parameter

    - #### errorf

          public void errorf(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter

    - #### errorf

          public void errorf(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of ERROR.
      Specified by:
        `errorf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### fatal

          public void fatal(Object message)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL.
      Specified by:
        `fatal` in interface `BasicLogger`
      Parameters:
        `message` - the message

    - #### fatal

          public void fatal(Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of FATAL.
      Specified by:
        `fatal` in interface `BasicLogger`
      Parameters:
        `message` - the message
        `t` - the throwable

    - #### fatal

          public void fatal(String loggerFqcn,
                   Object message,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable with a level of FATAL and a specific logger class name.
      Specified by:
        `fatal` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `t` - the throwable

    - #### fatal

          public void fatal(String loggerFqcn,
                   Object message,
                   Object[] params,
                   Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message with parameters and a throwable with a level of FATAL.
      Specified by:
        `fatal` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `message` - the message
        `params` - the message parameters
        `t` - the throwable

    - #### fatalv

          public void fatalv(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `params` - the parameters

    - #### fatalv

          public void fatalv(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the sole parameter

    - #### fatalv

          public void fatalv(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### fatalv

          public void fatalv(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### fatalv

          public void fatalv(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### fatalv

          public void fatalv(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### fatalv

          public void fatalv(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### fatalv

          public void fatalv(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message with a level of FATAL using `MessageFormat`-style formatting.
      Specified by:
        `fatalv` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### fatalf

          public void fatalf(String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the parameters

    - #### fatalf

          public void fatalf(String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### fatalf

          public void fatalf(String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### fatalf

          public void fatalf(String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### fatalf

          public void fatalf(Throwable t,
                    String format,
                    Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `params` - the parameters

    - #### fatalf

          public void fatalf(Throwable t,
                    String format,
                    Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the sole parameter

    - #### fatalf

          public void fatalf(Throwable t,
                    String format,
                    Object param1,
                    Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter

    - #### fatalf

          public void fatalf(Throwable t,
                    String format,
                    Object param1,
                    Object param2,
                    Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message with a level of FATAL.
      Specified by:
        `fatalf` in interface `BasicLogger`
      Parameters:
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### log

          public void log(Logger.Level level,
                 Object message)

      Description copied from interface: `BasicLogger`
      Log a message at the given level.
      Specified by:
        `log` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `message` - the message

    - #### log

          public void log(Logger.Level level,
                 Object message,
                 Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable at the given log level.
      Specified by:
        `log` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `message` - the message
        `t` - the throwable

    - #### log

          public void log(Logger.Level level,
                 String loggerFqcn,
                 Object message,
                 Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message and throwable at the given log level and a specific logger class name.
      Specified by:
        `log` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `loggerFqcn` - the logger class name
        `message` - the message
        `t` - the throwable

    - #### log

          public void log(String loggerFqcn,
                 Logger.Level level,
                 Object message,
                 Object[] params,
                 Throwable t)

      Description copied from interface: `BasicLogger`
      Issue a log message with parameters and a throwable at the given log level.
      Specified by:
        `log` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `message` - the message
        `params` - the message parameters
        `t` - the throwable

    - #### logv

          public void logv(Logger.Level level,
                  String format,
                  Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the message format string
        `params` - the parameters

    - #### logv

          public void logv(Logger.Level level,
                  String format,
                  Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the message format string
        `param1` - the sole parameter

    - #### logv

          public void logv(Logger.Level level,
                  String format,
                  Object param1,
                  Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### logv

          public void logv(Logger.Level level,
                  String format,
                  Object param1,
                  Object param2,
                  Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### logv

          public void logv(Logger.Level level,
                  Throwable t,
                  String format,
                  Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### logv

          public void logv(Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### logv

          public void logv(Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### logv

          public void logv(Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2,
                  Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### logv

          public void logv(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object... params)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `params` - the parameters

    - #### logv

          public void logv(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `param1` - the sole parameter

    - #### logv

          public void logv(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter

    - #### logv

          public void logv(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2,
                  Object param3)

      Description copied from interface: `BasicLogger`
      Issue a log message at the given log level using `MessageFormat`-style formatting.
      Specified by:
        `logv` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable
        `format` - the message format string
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### logf

          public void logf(Logger.Level level,
                  String format,
                  Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the parameters

    - #### logf

          public void logf(Logger.Level level,
                  String format,
                  Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### logf

          public void logf(Logger.Level level,
                  String format,
                  Object param1,
                  Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### logf

          public void logf(Logger.Level level,
                  String format,
                  Object param1,
                  Object param2,
                  Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### logf

          public void logf(Logger.Level level,
                  Throwable t,
                  String format,
                  Object... params)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `params` - the parameters

    - #### logf

          public void logf(Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the sole parameter

    - #### logf

          public void logf(Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter

    - #### logf

          public void logf(Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2,
                  Object param3)

      Description copied from interface: `BasicLogger`
      Issue a formatted log message at the given log level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `level` - the level
        `t` - the throwable
        `format` - the format string, as per `String.format(String, Object...)`
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### logf

          public void logf(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1)

      Description copied from interface: `BasicLogger`
      Log a message at the given level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable cause
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the sole parameter

    - #### logf

          public void logf(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2)

      Description copied from interface: `BasicLogger`
      Log a message at the given level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable cause
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter

    - #### logf

          public void logf(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object param1,
                  Object param2,
                  Object param3)

      Description copied from interface: `BasicLogger`
      Log a message at the given level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable cause
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `param1` - the first parameter
        `param2` - the second parameter
        `param3` - the third parameter

    - #### logf

          public void logf(String loggerFqcn,
                  Logger.Level level,
                  Throwable t,
                  String format,
                  Object... params)

      Description copied from interface: `BasicLogger`
      Log a message at the given level.
      Specified by:
        `logf` in interface `BasicLogger`
      Parameters:
        `loggerFqcn` - the logger class name
        `level` - the level
        `t` - the throwable cause
        `format` - the format string as per `String.format(String, Object...)` or resource bundle key therefor
        `params` - the message parameters

    - #### isEnabled

          public boolean isEnabled(Logger.Level level)

      Description copied from interface: `BasicLogger`
      Check to see if the given level is enabled for this logger.
      Specified by:
        `isEnabled` in interface `BasicLogger`
      Parameters:
        `level` - the level to check for
      Returns:
        `true` if messages may be logged at the given level, `false` otherwise

Copyright © 2015. All rights reserved.